﻿using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using StreamEntityFrameworkCore31PerformanceProblem.Data;

namespace StreamEntityFrameworkCore31PerformanceProblem.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class ProductsController : ControllerBase
    {
        private readonly SalesContext _salesContext;

        public ProductsController(SalesContext salesContext)
        {
            _salesContext = salesContext;
        }

        [HttpGet("streaming/{count}")]
        public ActionResult GetStreamingFromService(int count)
        {
            IQueryable<Product> products = _salesContext.Products.OrderBy(o => o.ProductId).Take(count).AsNoTracking();
            return Ok(products);
        }
    }
}
